﻿# They Come From Void / 深空来敌

A tower-defense-like combat system for Dyson Sphere Program. Prepare your defense system, build your weapons and bullets, and... FIRE!!!!!

一个类塔防的戴森球计划战斗系统。构建你的防御体系，制作武器和子弹，迎击来犯之敌！

![Previews](https://raw.githubusercontent.com/ckcz123/DSP_Battle/master/previews/1.png)

![Previews](https://raw.githubusercontent.com/ckcz123/DSP_Battle/master/previews/2.jpg)

![Previews](https://raw.githubusercontent.com/ckcz123/DSP_Battle/master/previews/3.png)

![Previews](https://raw.githubusercontent.com/ckcz123/DSP_Battle/master/previews/4.png)

[![They Come From Void](https://raw.githubusercontent.com/ckcz123/DSP_Battle/master/previews/youtube.jpg)](https://www.youtube.com/watch?v=-EKDXbIcm_E "They Come From Void")

或者可以在B站查看宣传视频： https://www.bilibili.com/video/BV1jR4y1F7t5/

## Installation / 安装方法

### With Mod Manager / 使用Mod管理器

Simply open the mod manager (if you don't have it install it [here](https://dsp.thunderstore.io/package/ebkr/r2modman/)), select **They Come From Void by ckcz**, then **Download**.

If prompted to download with dependencies, select `Yes`.

Then just click **Start modded**, and the game will run with the mod installed.

只需要简单的打开mod管理器（如果你还没安装可以[点此安装](https://dsp.thunderstore.io/package/ebkr/r2modman/)，选择**They Come From Void by ckcz**，下载即可）。

如果弹窗提示需要下载前置，点击确定即可。

### Install manually / 手动安装

Install BepInEx from [here](https://dsp.thunderstore.io/package/xiaoye97/BepInEx/)<br/>
Install LDBTool from [here](https://dsp.thunderstore.io/package/xiaoye97/LDBTool/)<br/>
Install DSPModSave from [here](https://dsp.thunderstore.io/package/CommonAPI/DSPModSave/)<br/>
Install CommonAPI from [here](https://dsp.thunderstore.io/package/CommonAPI/CommonAPI/)<br/>
Install MoreMegaStructure from [here](https://dsp.thunderstore.io/package/jinxOAO/MoreMegaStructure/)<br/>

Then download the mod manully and unzip into `plugins` (including the `dll` and `dspbattletex` file). If you can see the new logo, then the mod is installed successfully.

在上述地址安装框架和几个前置mod，然后将本mod解压到`plugins`目录（包括`dll`和`dspbattletex`文件）。如果开始游戏后能看到新的logo，那么mod就安装成功了。

## Feedback and suggestions / 意见和反馈

If you have any feedback or suggestions, please file a new issue via [github](https://github.com/ckcz123/DSP_Battle), or contact me in Discord `ckcz123#3576`.

Also welcome to anyone who'd like to contribute to the mod, better if you have experience of Unity games or modeling.

如果你有任何的意见或建议，可以通过[github](https://github.com/ckcz123/DSP_Battle)发起一个issue，或者加QQ群`694213906`找群主反馈。

欢迎任何向为此mod进行贡献的人，我们尤其需要有Unity经验或者会建模的大佬。

## Update Log

### 2022-06-16 V2.0.4
 - Updated to work with game version 0.9.26.12891
 - 更新以适配游戏版本0.9.26.12891

### 2022-05-11 V2.0.3
 - Fixed an issue where mining consumption rewards were stacking incorrectly.
 - 修复采矿消耗奖励错误叠加的问题。  
 - The maximum speed of the missile has been increased, but the firing frequency has been reduced to reduce missile waste.  
 - 导弹的最大速度大幅提升，但发射频率降低，以减少导弹的浪费。  

### 2022-04-29 V2.0.2
 - Fixed the bug that the game crashes when enemy droped alien matrix under certain circumstances.
 - 修复特定情况下敌人掉落物品闪退的bug。
 - You can now reverse the muzzle direction of the star cannon in the config file.
 - 现在你可以在config文件中让恒星炮的炮口方向反转。

### 2022-04-29 V2.0.1
 - Fix an import bug when loading old version archive.
 - 修复一个读取老版存档时发生的问题。

### 2022-04-29 V2.0.0
 - Added Nicoll-Dyson Beam, Planet shield, Droplet.  
 - 新增尼科尔戴森光束、行星护盾和水滴  
 - Added Merit level system, which can unlock better battle rewards and industrial production bonuses by leveling up. More merit points (Experience) in higher difficulties.  
 - 新增功勋等级系统，通过提升等级能够解锁更好的战斗奖励和工业生产加成，高难度下获得的功勋点数（经验值）更多   
 - Enemy ships now use a different model than logistics vessels; Gravitational collapse missiles now have a forced displacement effect; new items have been added   
 - 敌舰现在使用与物流船不同的模型；引力塌陷导弹现在具有强制位移（聚怪）效果；增添了全新的物品   


### 2022-04-03 V1.2.3

 - Updated to work with game version 0.9.25.11985
 - 更新以适配游戏版本0.9.25.11985

### 2022-04-03 V1.2.2

 - Miners won't be destroyed in Normal mode
 - 普通模式下，矿机不会被拆毁
 - Improve some translatations
 - 优化部分翻译

### 2022-03-25 v1.2.0

 - In normal mode, station attacked will turn into blueprint mode
 - 普通模式下，被攻击的物流塔会进入蓝图待建筑状态。
 - Optimize the determination of missiles
 - 优化火箭的伤害范围判定
 - Accelerate the missile fire rate with proliferator
 - 增加喷涂增产剂后火箭的射速

### 2022-03-20 V1.1.0

 - Enhance the damage of Phase-cracking beam
 - 增强相位裂解光束的伤害
 - Optimize the algorithm of missiles
 - 优化火箭的自动寻怪的算法
 - Fix the minus key on sand / dismantle mode
 - 修复地基和拆除模式下的减号键冲突问题
 - Fix crash when star count > 100
 - 修复当星系数量大于100时的报错

### 2022-03-19 V1.0.2

 - Fix UI on small resolution
 - 修复低分辨率下的显示问题

### 2022-03-167 V1.0.0
 - Initial Version
 - 初始版本
